# @author Jop Bouckaert
# Convert temperature to celsius
class UnitCalculator
  # Convert fahrenheit to celsius
  # @param temperature [Numeric] Given temperature in fahrenheit
  def calculate_fahrenheit(temperature)
    (((temperature - 32) * 5) / 9)
  end

  # Convert fahrenheit range to celsius range
  # @param range [Numeric] Given range
  def calculate_fahrenheit_range(range)
    ((range * 5) / 9)
  end

  # Convert kelvin to celsius
  # @param temperature [Numeric] Given temperature in kelvin
  def calculate_kelvin(temperature)
    (temperature - 273.15)
  end
end
